Bug 989214 - USB mouse stops working after some time [NEEDINFO]
USB mouse stops working after some time
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-28 08:16 EDT by Frédéric Bron
Modified: 2014-06-23 10:41 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-23 10:41:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jforbes: needinfo?


Attachments (Terms of Use)
/var/log/messages just after last freeze and restore (107.98 KB, text/plain)
2013-11-27 14:44 EST, Neil Halbert
no flags Details
lsusb after freeze (820 bytes, text/plain)
2013-11-27 14:47 EST, Neil Halbert
no flags Details
lsusb -v after last freeze (18.99 KB, text/plain)
2013-11-27 14:47 EST, Neil Halbert
no flags Details
output of 'lsusb' (756 bytes, text/plain)
2013-12-13 04:24 EST, Frédéric Bron
no flags Details
output of 'lspci -v' (11.27 KB, text/plain)
2013-12-13 04:26 EST, Frédéric Bron
no flags Details
/var/log/messages (1.02 KB, text/plain)
2013-12-13 04:28 EST, Frédéric Bron
no flags Details
cat /sys/kernel/debug/usb/usbmon/2u (114.89 KB, application/x-xz)
2013-12-31 07:48 EST, Frédéric Bron
no flags Details
cat /sys/kernel/debug/usb/usbmon/2u (195.50 KB, application/x-xz)
2014-01-05 13:28 EST, Frédéric Bron
no flags Details
mon output from failure (54.34 KB, text/plain)
2014-01-06 18:20 EST, Neil Halbert
no flags Details
Second example of failure monitor output (1000.94 KB, text/plain)
2014-01-06 18:30 EST, Neil Halbert
no flags Details

  None (edit)
Description Frédéric Bron 2013-07-28 08:16:35 EDT
Description of problem:
After some random time, my USB mouse stops working.
I noticed that I can unplug it and replug to a USB3 port and it works again. On a USB2 port, it does not work. This started with F19, worked perfectly with F18.
Very similar to https://bugzilla.redhat.com/show_bug.cgi?id=317831


Version-Release number of selected component (if applicable):
kernel 3.9.9 302.fc19

How reproducible:
difficult to say. Once a day?

Steps to Reproduce:
boot, open a KDE session.

Actual results:
after some time, the mouse stops working. Works if plugged on USB3 port, not on USB2.


Expected results:
The mouse should work all the time.

Additional info:
May be related to https://bugzilla.redhat.com/show_bug.cgi?id=989197
Comment 1 Josh Boyer 2013-09-18 16:28:31 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.11.1-200.fc19.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.
Comment 2 Frédéric Bron 2013-09-28 02:49:06 EDT
I got the issue again yesterday with kernel 3.11.1. Again, pluging the mouse on a USB3 port worked but back to USB2 did not work.
Comment 3 Neil Halbert 2013-11-27 10:42:25 EST
Is there any progress on this bug? It has been continuing up through the latest release 3.11.9. All the 3.11 kernels have had this problem. With current kernel it has occurring  about every couple of minutes. Resolves with replugging mouse. USB 3 is not an option on the current system.
Comment 4 Michele Baldessari 2013-11-27 12:10:34 EST
Hi Neil & Frédéric,

can you please attach to this BZ:
- lsusb
- lspci -v
- /var/log/messages when the problem occurs

Thanks,
Michele
Comment 5 Neil Halbert 2013-11-27 14:44:17 EST
Created attachment 829892 [details]
/var/log/messages just after last freeze and restore
Comment 6 Neil Halbert 2013-11-27 14:47:00 EST
Created attachment 829893 [details]
lsusb after freeze
Comment 7 Neil Halbert 2013-11-27 14:47:56 EST
Created attachment 829894 [details]
lsusb -v after last freeze
Comment 8 Frédéric Bron 2013-12-13 04:24:50 EST
Created attachment 836231 [details]
output of 'lsusb'

output of 'lsusb' just after mouse stops working on usb2 port.
Comment 9 Frédéric Bron 2013-12-13 04:26:54 EST
Created attachment 836232 [details]
output of 'lspci -v'

output of 'lspci -v' just after mouse stopped working on usb2 port.
Comment 10 Frédéric Bron 2013-12-13 04:28:03 EST
Created attachment 836233 [details]
/var/log/messages

/var/log/messages just after the mouse stopped working on usb2.
Comment 11 Michele Baldessari 2013-12-25 16:40:44 EST
So in Neil's logs we only see things like:
Nov 27 09:05:38 inverness kernel: [  668.361045] usb 2-6.3: USB disconnect, device number 3
Nov 27 09:05:38 inverness kernel: [  668.903786] usb 2-6.3: new low-speed USB device number 4 using ehci-pci
Nov 27 09:05:38 inverness kernel: [  668.994000] usb 2-6.3: New USB device found, idVendor=413c, idProduct=3012
Nov 27 09:05:38 inverness kernel: [  668.994005] usb 2-6.3: New USB device strings: Mfr=1, Product=2, SerialNumber=0
Nov 27 09:05:38 inverness kernel: [  668.994008] usb 2-6.3: Product: Dell USB Optical Mouse
Nov 27 09:05:38 inverness kernel: [  668.994011] usb 2-6.3: Manufacturer: Dell
Nov 27 09:05:38 inverness kernel: [  668.996757] input: Dell Dell USB Optical Mouse as /devices/pci0000:00/0000:00:1d.7/usb2/2-6/2-6.3/2-6.3:1.0/input/input10
...
Nov 27 09:13:06 inverness kernel: [ 1116.118418] usb 2-6.3: USB disconnect, device number 4
Nov 27 09:13:06 inverness kernel: [ 1116.906494] usb 2-6.3: new low-speed USB device number 5 using ehci-pci
Nov 27 09:13:06 inverness kernel: [ 1116.996455] usb 2-6.3: New USB device found, idVendor=413c, idProduct=3012
Nov 27 09:13:06 inverness kernel: [ 1116.996460] usb 2-6.3: New USB device strings: Mfr=1, Product=2, SerialNumber=0
Nov 27 09:13:06 inverness kernel: [ 1116.996463] usb 2-6.3: Product: Dell USB Optical Mouse
Nov 27 09:13:06 inverness kernel: [ 1116.996465] usb 2-6.3: Manufacturer: Dell
Nov 27 09:13:06 inverness kernel: [ 1116.999379] input: Dell Dell USB Optical Mouse as /devices/pci0000:00/0000:00:1d.7/usb2/2-6/2-6.3/2-6.3:1.0/input/input11
Nov 27 09:13:06 inverness kernel: [ 1117.000165] hid-generic 0003:413C:3012.0005: input,hidraw0: USB HID v1.11 Mouse [Dell Dell USB Optical Mouse] on usb-0000:00:1d.7-6.3/input0

I assume the 'USB disconnect' message is due to unplugging the mouse physically and that it stopped working before that.
The device in the above case is "Bus 004 Device 009: ID 413c:3012 Dell Computer Corp. Optical Wheel Mouse"

USB hubs:
00:1a.0 USB controller: Intel Corporation 82801JI (ICH10 Family) USB UHCI Controller #4 (prog-if 00 [UHCI])
	Subsystem: Dell Device 026e
	Flags: bus master, medium devsel, latency 0, IRQ 16
	I/O ports at 1f20 [size=32]
	Capabilities: [50] PCI Advanced Features
	Kernel driver in use: uhci_hcd

00:1a.1 USB controller: Intel Corporation 82801JI (ICH10 Family) USB UHCI Controller #5 (prog-if 00 [UHCI])
	Subsystem: Dell Device 026e
	Flags: bus master, medium devsel, latency 0, IRQ 17
	I/O ports at 1f00 [size=32]
	Capabilities: [50] PCI Advanced Features
	Kernel driver in use: uhci_hcd

00:1a.2 USB controller: Intel Corporation 82801JI (ICH10 Family) USB UHCI Controller #6 (prog-if 00 [UHCI])
	Subsystem: Dell Device 026e
	Flags: bus master, medium devsel, latency 0, IRQ 22
	I/O ports at 1c00 [size=32]
	Capabilities: [50] PCI Advanced Features
	Kernel driver in use: uhci_hcd

00:1a.7 USB controller: Intel Corporation 82801JI (ICH10 Family) USB2 EHCI Controller #2 (prog-if 20 [EHCI])
	Subsystem: Dell Device 026e
	Flags: bus master, medium devsel, latency 0, IRQ 22
	Memory at f7ffa000 (32-bit, non-prefetchable) [size=1K]
	Capabilities: [50] Power Management version 2
	Capabilities: [58] Debug port: BAR=1 offset=00a0
	Capabilities: [98] PCI Advanced Features
	Kernel driver in use: ehci-pci

00:1d.0 USB controller: Intel Corporation 82801JI (ICH10 Family) USB UHCI Controller #1 (prog-if 00 [UHCI])
	Subsystem: Dell Device 026e
	Flags: bus master, medium devsel, latency 0, IRQ 23
	I/O ports at 1f80 [size=32]
	Capabilities: [50] PCI Advanced Features
	Kernel driver in use: uhci_hcd

00:1d.1 USB controller: Intel Corporation 82801JI (ICH10 Family) USB UHCI Controller #2 (prog-if 00 [UHCI])
	Subsystem: Dell Device 026e
	Flags: bus master, medium devsel, latency 0, IRQ 17
	I/O ports at 1f60 [size=32]
	Capabilities: [50] PCI Advanced Features
	Kernel driver in use: uhci_hcd

00:1d.2 USB controller: Intel Corporation 82801JI (ICH10 Family) USB UHCI Controller #3 (prog-if 00 [UHCI])
	Subsystem: Dell Device 026e
	Flags: bus master, medium devsel, latency 0, IRQ 18
	I/O ports at 1f40 [size=32]
	Capabilities: [50] PCI Advanced Features
	Kernel driver in use: uhci_hcd

00:1d.7 USB controller: Intel Corporation 82801JI (ICH10 Family) USB2 EHCI Controller #1 (prog-if 20 [EHCI])
	Subsystem: Dell Device 026e
	Flags: bus master, medium devsel, latency 0, IRQ 23
	Memory at ff980000 (32-bit, non-prefetchable) [size=1K]
	Capabilities: [50] Power Management version 2
	Capabilities: [58] Debug port: BAR=1 offset=00a0
	Capabilities: [98] PCI Advanced Features
	Kernel driver in use: ehci-pci



No relevant disconnect messages in Frederic's messages (either due to other reasons or because when the mouse stops working there is no log produced)
Frederic's mouse model: Bus 002 Device 003: ID 046d:c016 Logitech, Inc. Optical Wheel Mouse

Frederic's USB Hubs:
00:1a.0 USB controller: Intel Corporation 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2 (rev 05) (prog-if 20 [EHCI])
	Subsystem: CLEVO/KAPOK Computer Device 7100
	Flags: bus master, medium devsel, latency 0, IRQ 16
	Memory at f6508000 (32-bit, non-prefetchable) [size=1K]
	Capabilities: [50] Power Management version 2
	Capabilities: [58] Debug port: BAR=1 offset=00a0
	Capabilities: [98] PCI Advanced Features
	Kernel driver in use: ehci-pci

00:1d.0 USB controller: Intel Corporation 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1 (rev 05) (prog-if 20 [EHCI])
	Subsystem: CLEVO/KAPOK Computer Device 7100
	Flags: bus master, medium devsel, latency 0, IRQ 23
	Memory at f6507000 (32-bit, non-prefetchable) [size=1K]
	Capabilities: [50] Power Management version 2
	Capabilities: [58] Debug port: BAR=1 offset=00a0
	Capabilities: [98] PCI Advanced Features
	Kernel driver in use: ehci-pci

02:00.0 USB controller: NEC Corporation uPD720200 USB 3.0 Host Controller (rev 04) (prog-if 30 [XHCI])
	Subsystem: CLEVO/KAPOK Computer Device 7100
	Flags: bus master, fast devsel, latency 0, IRQ 16
	Memory at f6400000 (64-bit, non-prefetchable) [size=8K]
	Capabilities: [50] Power Management version 3
	Capabilities: [70] MSI: Enable- Count=1/8 Maskable- 64bit+
	Capabilities: [90] MSI-X: Enable+ Count=8 Masked-
	Capabilities: [a0] Express Endpoint, MSI 00
	Capabilities: [100] Advanced Error Reporting
	Capabilities: [140] Device Serial Number ff-ff-ff-ff-ff-ff-ff-ff
	Capabilities: [150] Latency Tolerance Reporting
	Kernel driver in use: xhci_hcd

Nothing in common stands out here. I'll try and prepare some usb debugging steps to see if we understand more in detail what is going on here.
Comment 12 Michele Baldessari 2013-12-25 16:50:51 EST
So here are the steps (as taken from Documentation/usb/usbmon.txt):
0. Make sure the mouse is plugged in and working

1. mount -t debugfs none_debugs /sys/kernel/debug
Note that this might error out with (mount: non_debugs is already mounted or /sys/kernel/debug busy). Ignore if that is the message

2. modprobe usbmon

3. Confirm that 'ls /sys/kernel/debug/usb/usbmon' gives something like:
0s  0u  1s  1t  1u  2s  2t  2u  3s  3t  3u  4s  4t  4u

4. Find out the bus number of the mouse via 'lsusb'. So for example:
Bus 004 Device 009: ID 413c:3012 Dell Computer Corp. Optical Wheel Mouse

In this case the Bus is '4'. Ideally you have no other devices on this
bus.

5. Start 'cat' on the bus number (4 in this example)
 
# cat /sys/kernel/debug/usb/usbmon/4u > /tmp/4.mon.out

6. Leave cat running until the mouse stops working (and note the time the mouse stopped working). As soon as it stops working press Ctrl-C and interrupt cat.
Upload /tmp/4.mon.out here and note the timestamp of the event.

Hopefully we get something useful. 

regards,
Michele
Comment 13 Frédéric Bron 2013-12-31 07:48:17 EST
Created attachment 843765 [details]
cat /sys/kernel/debug/usb/usbmon/2u

Attached is the result of the suggested command:
mount -t debugfs none_debugs /sys/kernel/debug
modprobe usbmon
ls /sys/kernel/debug/usb/usbmon
lsusb|grep "Logitech, Inc. Optical Wheel Mouse"
bus=`lsusb|grep "Logitech, Inc. Optical Wheel Mouse"|cut -f 2 -d " "|awk '{ print $1*1 }'`
cat /sys/kernel/debug/usb/usbmon/${bus}u > ${bus}u.mon.out

The mouse stopped working at 1:30pm local time (Paris).
Comment 14 Frédéric Bron 2014-01-05 13:28:27 EST
Created attachment 845809 [details]
cat /sys/kernel/debug/usb/usbmon/2u

another example. Crash at 7:27pm local time.
Comment 15 Neil Halbert 2014-01-06 18:20:13 EST
Created attachment 846338 [details]
mon output from failure

lsusb
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 008 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 007 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 006 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 002: ID 413c:3012 Dell Computer Corp. Optical Wheel Mouse
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 003: ID 413c:2011 Dell Computer Corp. Multimedia Pro Keyboard
Bus 003 Device 002: ID 413c:1005 Dell Computer Corp. Multimedia Pro Keyboard Hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
[hal]# cat /sys/kernel/debug/usb/usbmon/4u
^C
[hal]# cat /sys/kernel/debug/usb/usbmon/4u > /tmp/4.mon.out
^C
[hal]# date
Mon Jan  6 18:10:37 EST 2014
Comment 16 Neil Halbert 2014-01-06 18:30:37 EST
Created attachment 846349 [details]
Second example of failure monitor output

[hal]# cat /sys/kernel/debug/usb/usbmon/4u > /tmp/4.II.mon.out
^C
[hal]# date
Mon Jan  6 18:28:33 EST 2014
Comment 17 Frédéric Bron 2014-01-10 07:41:33 EST
I would like to say that it is not specific to USB2. When I first plug my mouse on a USB3 port, it may also stop working after some time.
Comment 18 Justin M. Forbes 2014-03-10 10:50:56 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.13.5-100.fc19.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.
Comment 19 Neil Halbert 2014-03-13 13:26:34 EDT
This is still an ongoing issue. I am running FC20 3.13.6-200.fc20.x86_64. I have been living with it on a multiple times a day basis since my last report.
Comment 20 Frédéric Bron 2014-03-16 14:34:26 EDT
I have just had this issue again on F20+kernel 3.13.6.
Comment 21 Neil Halbert 2014-04-01 09:31:33 EDT
I have discovered that the issue plaguing my system was hardware related. The mouse had a internal wire issue and the LED would cut out. The un-plugging and re-plugging was necessary to clear it after it had stopped. New mouse, no problem two days now.
Comment 22 Justin M. Forbes 2014-05-21 15:30:55 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.14.4-100.fc19.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 20, and are still experiencing this issue, please change the version to Fedora 20.

If you experience different issues, please open a new bug report for those.
Comment 23 Justin M. Forbes 2014-06-23 10:41:01 EDT
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 4 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.